Subject: Re: [PATCH] rebase: ignore non-branch update-refs

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 May 2026 09:20:37 +0900

"Abhinav Gupta" <[email-masked]> writes:

> On Sun, May 10, 2026, at 16:37, Junio C Hamano wrote:
>> it would have failed to work due to the "HEAD" thing, so even though
>> existing versions of Git may have added such local tags to the insn
>> sequence, it would not have been a workable configuration anyway.
>
> Yeah. One additional data point:
> non-interactive rebase is also broken under this configuration.
> Given a branch off main~1, it runs into the same issue:
>
>     $ git checkout -b foo main~1
>     $ git commit --allow-empty -m 'do things'
>     $ git rebase main
>       # ...
>     error: update-ref requires a fully qualified refname e.g. refs/heads/HEAD
>     error: invalid line 2: update-ref HEAD
>     You can fix this with 'git rebase --edit-todo' and then run 'git rebase --continue'.
>     Or you can abort the rebase with 'git rebase --abort'.
>
> I'm guessing non-interactive rebase works off the same todo list so that makes sense.

I smell that you'd be suggesting to replace the patch we have
discussed with another one that declares that it is a bug to use %d
in insn format?  I do not think how well it would fly.